library IEEE;
use IEEE.std_logic_1164.all;


entity UP_BLOCK is   -- UP_BLOCK 
        port (  
                ON_IN, CLOCK		: in std_logic; 
				UP 					: out std_logic
        );
end UP_BLOCK ;


architecture UP_MAIN of UP_BLOCK is
begin
        process (ON_IN, CLOCK)        
        begin
			if(ON_IN='1') then
                if(CLOCK'event and CLOCK='1') then
					UP <= '1';
				end if;
			else
				UP <= '0';
			end if;
        end process;
end UP_MAIN;


